/* --------------------------------
Login Page Css
-------------------------------- */

/* basic */
html {
  height: 100%;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  font-family: "Yu Gothic", "游ゴシック", YuGothic, "游ゴシック体", Helvetica, Arial, 'ヒラギノ角ゴ ProN W3', 'ヒラギノ角ゴ ProN W6', 'Hiragino Kaku Gothic ProN', Verdana, 'メイリオ', Meiryo, 'ＭＳ Ｐゴシック', Roboto, sans-serif;
  font-size: 16px;
  color: #555;
  text-align: left;
  position: relative;
  margin: 0;
  min-height: 100%;
  padding: 1px;
}

#container {
  width: 100%;
  min-height: 100%;
  padding: 1px;
}

header {
  margin: 0 auto;
  width: 100%;
}

#footer-block {
  width: 100%;
  right: 0;
  bottom: 0;
  left: 0;
  text-align: center;
  overflow: hidden;
}

footer {
  background: #47c6ab;
  text-align: center;
  color: #fff;
  padding: 30px 0;
}

.title {
  width: 90%;
  margin: auto;
}

main {
  max-width: 750px;
  margin: 0 auto;
  min-height: 480px;
  display: block;
}

h1 {
  border-bottom: 0;
}

h2 {
  border-bottom: 1px solid #ccc;
  font-weight: 400;
  font-size: 1.8rem;
  text-align: center;
  padding-bottom: 15px;
  margin: 30px 0;
}

h3 {
  border-bottom: 1px solid #ccc;
  font-weight: 400;
  font-size: 1.5rem;
  text-align: left;
  padding: 10px 10px;
  margin: 0 0 30px;
}

h4 {
  margin: 0;
}

main>div {
  margin-bottom: 1em;
}

a {
  color: #47c6ab;
  -webkit-transition: 0.2s ease-in-out;
  -moz-transition: 0.2s ease-in-out;
  -o-transition: 0.2s ease-in-out;
  transition: 0.2s ease-in-out
}

a:hover {
  opacity: 0.6;
  filter: alpha(opacity=60);
  -ms-filter: "alpha(opacity=60)";
}

/* form */
.mail-form,
.pw-form,
.store_code-form {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  font-size: 16px;
  outline: none;
  border: 1px solid #ccc;
  border-radius: 5px;
  font-size: 1.2rem;
  margin: 8px 0;
  padding: 0 2%;
  height: 60px;
  width: 100%;
}

.mail-form::placeholder,
.pw-form::placeholder,
.smt-btn::placeholder,
.store_code-form::placeholder {
  color: #ccc;
}

.mail-form::-ms-input-placeholder,
.pw-form::-ms-input-placeholder,
.smt-form::-ms-input-placeholder,
.store_code-form::-ms-input-placeholder {
  color: #ccc;
}

.mail-form:focus,
.pw-form:focus,
.smt-form:focus,
.store_code-form:focus {
  box-shadow: 0 0 7px #47c6ab;
  border: 1px solid #47c6ab;
}

.mail-form:hover {
  opacity: 0.6;
  filter: alpha(opacity=60);
  -ms-filter: "alpha(opacity=60)";
}

.errorText {
  color: #800000;
}

.smallText {
  font-size: 0.8rem;
  text-align: center;
}

/* login page */
.h-logo {
  width: 200px;
}

.form-block {
  margin: 60px 30px 30px;
}

.form-block-radio,
.lang-switch {
  align-items: center;
  color: #aaa;
  display: flex;
  justify-content: center;
  margin: 30px auto;
  width: 400px;
}

.form-block-radio input {
  display: none;
}

.form-block-radio label {
  display: block;
  cursor: pointer;
  width: 60px;
  text-align: center;
  transition: .3s;
  line-height: 1;
  background: #eee;
  padding: 15px;
}

.en {
  border-radius: 5px 0 0 5px;
}

.jp {
  border-radius: 0 5px 5px 0;
}

.form-block-radio input[type="radio"]:checked+.switch-on {
  background: #999;
  color: #fff;
  font-weight: bold;
}

.lang-switch a,
.notselected-lang {
  margin: 0 20px;
  color: #aaa;
  font-weight: normal;
  text-decoration: none;
}

.notselected-lang {
  color: #47c6ab;
  font-weight: bold;
}

.btns {
  margin-bottom: 30px;
  padding: 0;
  margin-top: 8px;
}

.btns2023-login {
  margin-bottom: 30px;
  padding: 0;
  margin-top: 8px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  gap: 16px;
}

.btns2023-login-submit {
  background: #47c6ab;
  border: 1px solid #47c6ab;
  color: #fff;
  font-size: 1.5rem;
  padding: 0;
  font-size: 16px;
  border-radius: 5px;
  height: 60px;
  cursor: pointer;
  flex: 1 1 0;
}

.btns2023-login-forgot-container {
  flex: 1.5 0.67 0;
  background: #fff;
  color: #47c6ab;
  height: 60px;
  display: flex;
  justify-content: stretch;
  align-items: stretch;
}

.btns2023-login-forgot-link {
  border-radius: 5px;
  border: 1px solid #47c6ab;
  color: #47c6ab;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px 0px 0px 5px;
  text-decoration: none;
  flex: 1 1 0;
  font-size: 0.75em;
}

.btns2023-login-forgot-link.right {
  border-radius: 0px 5px 5px 0px;
  border-left: none;
}

.btn-center {
  text-align: center;
}

.team-id-field {
  border-bottom: 1px solid #ccc;
  display: block;
  line-height: 1.2;
  border-radius: 5px;
  text-decoration: none;
  text-align: left;
  line-height: 58px;
  width: 70%;
}

.team-id-color {
  color: #aaa;
}

.change-team-btn {
  background: #47c6ab;
  border: 1px solid #47c6ab;
  color: #fff;
  font-size: 1.5rem;
  padding: 0;
  width: 27%;
  margin-left: 3%;
  font-size: 16px;
  border-radius: 5px;
  height: 60px;
}

.fgpw-btn,
.tologin-btn {
  border: 1px solid #47c6ab;
  color: #47c6ab;
  display: block;
  line-height: 1.2;
  border-radius: 5px;
  text-decoration: none;
  text-align: center;
  line-height: 58px;
  width: 57%;
}

.smt-btn {
  background: #47c6ab;
  border: 1px solid #47c6ab;
  color: #fff;
  font-size: 1.5rem;
  padding: 0;
  width: 40%;
  float: right;
  margin-left: 3%;
  font-size: 16px;
  border-radius: 5px;
  height: 60px;
  cursor: pointer;
}

.no-left {
  float: none;
  margin-left: 0px;
}

.links-block,
.img-block {
  padding: 0;
  list-style: none;
  margin: 0;
  display: flex;
  justify-content: center;
  margin: 30px 0;
}

.links-block li,
.img-block li {
  margin: 0 20px;
}

.img-block img {
  height: 120px;
}

.center-txt {
  width: 90%;
  margin: auto;
}

.msn {
  margin-bottom: 20px;
}

.return {
  margin-bottom: 20px;
}

.space {
  height: 250px;
}

.center {
  float: none;
  margin: auto;
  text-align: center;
}

.info {
  text-align: center;
  width: 90%;
  margin: auto
}

#credential-input {
  display: none;
}

#team-id-change {
  display: flex;
  align-items: center;
}

#team-id-change .store_code-form {
  flex-grow: 1;
}

@media only screen and (min-width: 1000px) {
  header {
    width: 1000px;
  }
}

@media only screen and (max-width: 870px) {
  .links-block {
    flex-direction: column;
  }

  .links-block li {
    padding-top: 20px;
  }

  #footer-block {
    position: relative;
  }

  .btns2023-login {
    flex-direction: column-reverse;
  }

  .btns2023-login-submit {
    flex: 0 0 auto;
    width: 100%;
  }

  .btns2023-login-forgot-container {
    flex: 0 0 auto;
    width: 100%;
  }
}

@media only screen and (max-width: 600px) {
  .btns {
    display: block;
    margin-top: 0px;
  }

  .smt-btn,
  .fgpw-btn,
  .tologin-btn {
    width: 100%;
    margin-left: 0px;
    float: none;
    margin: 8px 0;
  }
}


@media only screen and (max-height: 820px) {
  #footer-block {
    position: relative;
  }
}
